<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
  <!-- Basic -->
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <!-- Mobile Metas -->
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
  <!-- Site Metas -->
  <link rel="icon" href="images/favicon.png" type="image/gif" />
  <meta name="keywords" content="" />
  <meta name="description" content="" />
  <meta name="author" content="" />

  <title>My class online</title>

  <!-- bootstrap core css -->
  <link rel="stylesheet" type="text/css" href="css/bootstrap.css" />

  <!-- fonts style -->
  <link href="https://fonts.googleapis.com/css?family=Poppins:400,600,700&display=swap" rel="stylesheet" />

  <!-- font awesome style -->
  <link href="css/font-awesome.min.css" rel="stylesheet" />
  <!-- owl carousel -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css" integrity="sha256-UhQQ4fxEeABh4JrcmAJ1+16id/1dnlOEVCFOxDef9Lw=" crossorigin="anonymous" />
  <!-- Custom styles for this template -->
  <link href="css/style.css" rel="stylesheet" />
  <!-- responsive style -->
  <link href="css/responsive.css" rel="stylesheet" />

</head>

<body>
<!--""th:href="@{/admin/users/log in}"-->
  <div class="hero_area">
    <!-- header section strats -->
    <header class="header_section ">
      <div class="container-fluid">
        <nav class="navbar navbar-expand-lg custom_nav-container ">
          <a class="navbar-brand" th:href="@{/}">
            <span>
              My class online
            </span>
          </a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class=""> </span>
          </button>

          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <div class="d-flex mx-auto flex-column flex-lg-row align-items-center">
              <ul class="navbar-nav  ">
                <li class="nav-item ">
                    <a class="nav-link" th:href="@{/}">Home </a>
                </li>
                <li th:if="${#httpServletRequest.isUserInRole('ROLE_ADMIN')}" class="nav-item ">
                  <a class="nav-link" th:href="@{/admin}">ADMIN </a>
              </li>
                <li class="nav-item">
                    <a class="nav-link" th:href="@{/about}" > About</a>
                </li>
                <li class="nav-item active">
                    <a class="nav-link" th:href="@{/course}">Courses <span
                            class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" th:href="@{/teacher}">Teachers</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" th:href="@{/contact}">Contact Us</a>
                </li>
                <!-- sec:authorize="hasRole('ADMIN')" -->
                <!-- sec:authorize="hasRole('USER')" -->
                <!-- sec:authorize="isAuthenticated()"> -->
                <!-- sec:authentication="name" -->
                <!--  sec:authentication="principal.authorities" -->
                
              
              
                
            </ul>

            </div>
            <div class="quote_btn-container">
              <a th:href="@{/login}">
                <span>
                  sign in
                </span>
                <i class="fa fa-user" aria-hidden="true"></i>
              </a>
             
            </div>
            <div th:if="${#httpServletRequest.isUserInRole('ROLE_ADMIN')}" class="quote_btn-container">
              <a th:href="@{/logout}">
                <span>
                  log out
                </span>
                <i class="fa fa-user" aria-hidden="true"></i>
              </a>
             
            </div>
          
          </div>
        </nav>
      </div>
    </header>
    <!-- end header section -->
    <!-- slider section -->
    <section class="slider_section ">
      <div class="slider_bg_box">
        <div class="bg_img_box">
          <img src="images/slider-bg.jpg" alt="">
        </div>
      </div>
      <div id="customCarousel" class="carousel slide" data-ride="carousel">
        <div class="carousel-inner">
          <div class="carousel-item active">
            <div class="container ">
              <div class="row">
                <div class="col-md-7 mx-auto">
                  <div class="detail-box">
                    <h1>
                      Welcome To <br>
                      My class online
                    </h1>
                    <p>
                      This a plateform online maded by Khaled Razouk to put some courses online to help both sides teachers and students
                    </p>
                    <div class="btn-box">
                      <a th:href="@{/contact}" class="btn1">
                        Contact Us
                      </a>
                      <a th:href="@{/about}" class="btn2">
                        About Us
                      </a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="carousel-item">
            <div class="container ">
              <div class="row">
                <div class="col-md-7 mx-auto">
                  <div class="detail-box">
                    <h1>
                      Welcome To <br>
                      My class online
                    </h1>
                    <p>
                      This a plateform online maded by Khaled Razouk to put some courses online to help both sides teachers and students 
                    </p>
                    <div class="btn-box">
                      <a th:href="@{/contact}" class="btn1">
                        Contact Us
                      </a>
                      <a th:href="@{/about}" class="btn2">
                        About Us
                      </a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="carousel-item">
            <div class="container ">
              <div class="row">
                <div class="col-md-7 mx-auto">
                  <div class="detail-box">
                    <h1>
                      Welcome To <br>
                      My class online
                    </h1>
                    <p>
                      This a plateform online maded by Khaled Razouk to put some courses online to help both sides teachers and students 
                    </p>
                    <div class="btn-box">
                      <a th:href="@{/contact}" class="btn1">
                        Contact Us
                      </a>
                      <a th:href="@{/about}" class="btn2">
                        About Us
                      </a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <ol class="carousel-indicators">
          <li data-target="#customCarousel" data-slide-to="0" class="active"></li>
          <li data-target="#customCarousel" data-slide-to="1"></li>
          <li data-target="#customCarousel" data-slide-to="2"></li>
        </ol>
      </div>
    </section>
    <!-- end slider section -->
  </div>



  <!-- about section -->

  <section class="about_section layout_padding ">
    <div class="container">
      <div class="row">
        <div class="col-md-6">
          <div class="img-box">
            <img src="https://d19d5sz0wkl0lu.cloudfront.net/dims4/default/0c8a0a3/2147483647/thumbnail/1000x1000%3E/quality/90/?url=https%3A%2F%2Fatd-brightspot.s3.amazonaws.com%2F7f%2F38%2Fb37d0d6148e48fea8f76209eb3bb%2Fbigstock-pretty-teacher-smiling-at-came-69887626-1.jpg" alt="">
          </div>
        </div>
        <div class="col-md-6">
          <div class="detail-box">
            <div class="heading_container">
              <h2>
                Who We Are
              </h2>
            </div>
            <p>
This a plateform online maded by Khaled Razouk to put some courses online to help both sides teachers and students             </p>
            <a href="">
              Read More
            </a>
          </div>
        </div>
      </div>
    </div>
  </section>

  <!-- end about section -->

  <!-- course section start -->
  <section class="course_section layout_padding">
    <div class="course_bg_box ">
        <div class="bg_img_box">
            <img src="images/course-bg.jpg" alt="">
        </div>
    </div>
    <div class="container-fluid pr-0">
        <div class="heading_container">
            <h2>
                Popular courses
            </h2>
            <p>
               Her you can find all of the class rooms
            </p>
        </div>
        <div class="course_container">
            <div class=" course_owl-carousel owl-carousel owl-theme ">
              <!-- th:each -->
                <div th:each="classRoom : ${classRooms}" class="item">
                    <div class="box">
                        <div class="img-box">
                      
                          <img th:src="${classRoom.classRoomImage}"
                          th:alt="${classRoom.classRoomName}">
                  
                        </div>
                        <div class="detail-box">
                            <h4 th:text="${classRoom.classRoomName}">
                                History
                            </h4>
                            <p th:text="${classRoom.classRoomName}">
                               
                            </p>
                            <!-- th:text -->
                            <a th:href="@{/classRoom/}+${classRoom.classRoomId}" th:text="${classRoom.classRoomName}">
                                View Detail
                            </a>
                        </div>
                    </div>
                </div>
               
                
            </div>
        </div>
    </div>
</section>
  <!-- course section ends -->

  <!-- teacher section -->

  <section class="teacher_section layout_padding">
    <div class="container">
      <div class="heading_container heading_center">
        <h2>
          Our Teachers
        </h2>
      </div>
      <div class="row">
        <div class="col-sm-6 col-lg-3">
          <div class="box">
            <div class="img-box">
              <img src="images/t1.jpg" alt="">
            </div>
            <div class="detail-box">
              <h5>
                Alice Stark
              </h5>
              <h6>
                Teacher
              </h6>
            </div>
          </div>
        </div>
        <div class="col-sm-6 col-lg-3">
          <div class="box">
            <div class="img-box">
              <img src="images/t2.jpg" alt="">
            </div>
            <div class="detail-box">
              <h5>
                Martin Evans
              </h5>
              <h6>
                Teacher
              </h6>
            </div>
          </div>
        </div>
        <div class="col-sm-6 col-lg-3">
          <div class="box">
            <div class="img-box">
              <img src="images/t3.jpg" alt="">
            </div>
            <div class="detail-box">
              <h5>
                Jane Dunn
              </h5>
              <h6>
                Teacher
              </h6>
            </div>
          </div>
        </div>
        <div class="col-sm-6 col-lg-3">
          <div class="box">
            <div class="img-box">
              <img src="images/t4.jpg" alt="">
            </div>
            <div class="detail-box">
              <h5>
                Clara Mark
              </h5>
              <h6>
                Teacher
              </h6>
            </div>
          </div>
        </div>
      </div>
      <div class="btn-box">
        <a th:href="@{/showAllTeachers}">
          View All
        </a>
      </div>
    </div>
  </section>

  <!-- end teacher section -->

  <!-- client section -->

  <section class="client_section ">
    <div class="container">
      <div class="heading_container">
        <h2>
          What Our Students Say
        </h2>
      </div>
      <div id="carouselExample2Controls" class="carousel slide" data-ride="carousel">
        <div class="carousel-inner">
          <div class="carousel-item active">
            <div class="row">
              <div class="col-md-11 col-lg-10 mx-auto">
                <div class="box">
                  <div class="img-box">
                    <img src="images/s1.png" alt="" />
                  </div>
                  <div class="detail-box">
                    <div class="name">
                      <i class="fa fa-quote-left" aria-hidden="true"></i>
                      <h6>
                        Student 1
                      </h6>
                    </div>
                    <p>
                      it's one of my best experience in my life , a perfect content with a perfect teem work                    </p>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="carousel-item">
            <div class="row">
              <div class="col-md-11 col-lg-10 mx-auto">
                <div class="box">
                  <div class="img-box">
                    <img src="images/s3.png" alt="" />
                  </div>
                  <div class="detail-box">
                    <div class="name">
                      <i class="fa fa-quote-left" aria-hidden="true"></i>
                      <h6>
                        Student 2
                      </h6>
                    </div>
                    <p>
                      it's one of my best experience in my life , a perfect content with a perfect teem work                     </p>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="carousel-item">
            <div class="row">
              <div class="col-md-11 col-lg-10 mx-auto">
                <div class="box">
                  <div class="img-box">
                    <img src="images/s2.webp" alt="" />
                  </div>
                  <div class="detail-box">
                    <div class="name">
                      <i class="fa fa-quote-left" aria-hidden="true"></i>
                      <h6>
                        Student 3
                      </h6>
                    </div>
                    <p>
                      it's one of my best experience in my life , a perfect content with a perfect teem work 
                    </p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="carousel_btn-container">
          <a class="carousel-control-prev" href="#carouselExample2Controls" role="button" data-slide="prev">
            <i class="fa fa-long-arrow-left" aria-hidden="true"></i>
            <span class="sr-only">Previous</span>
          </a>
          <a class="carousel-control-next" href="#carouselExample2Controls" role="button" data-slide="next">
            <i class="fa fa-long-arrow-right" aria-hidden="true"></i>
            <span class="sr-only">Next</span>
          </a>
        </div>
      </div>
    </div>
  </section>
  <p></p>

  <!-- end client section -->
<section class="contact_section layout_padding ">
    <div class="container">
      <div class="heading_container heading_center">
        <h2>
          Location
        </h2>
        <div class="col-md-6">
          <div class="map_container">
            <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2782.6433659308495!2d4.8320015159723315!3d45.7783370791058!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x47f4eae186e5a769%3A0xf39a608954186c84!2s25%20Rue%20de%20Belfort%2C%2069004%20Lyon!5e0!3m2!1sen!2sfr!4v1645384611334!5m2!1sen!2sfr" width="600" height="450" style="border:30;" allowfullscreen="" loading="lazy"></iframe>
           
          </div>
        </div>
      </div>
       
       
    </div>
  </section>




  <!-- contact section -->
  <!-- <section class="contact_section layout_padding ">
    <div class="container">
      <div class="heading_container">
        <h2>
          Contact Us
        </h2>
      </div>
      <div class="row">
        <div class="col-md-6">
          <div class="form_container">
            <form action="">
              <div>
                <input type="text" placeholder="Your Name" />
              </div>
              <div>
                <input type="text" placeholder="Phone Number" />
              </div>
              <div>
                <input type="email" placeholder="Email" />
              </div>
              <div>
                <input type="text" class="message-box" placeholder="Message" />
              </div>
              <div class="btn_box">
                <button>
                  SEND
                </button>
              </div>
            </form>
          </div>
        </div>
        <div class="col-md-6">
          <div class="map_container">
            <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2782.6433659308495!2d4.8320015159723315!3d45.7783370791058!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x47f4eae186e5a769%3A0xf39a608954186c84!2s25%20Rue%20de%20Belfort%2C%2069004%20Lyon!5e0!3m2!1sen!2sfr!4v1645384611334!5m2!1sen!2sfr" width="600" height="450" style="border:0;" allowfullscreen="" loading="lazy"></iframe>
           
          </div>
        </div>
      </div>
    </div>
  </section> -->
  <!-- end contact section -->

  <!-- info section -->
  <section class="info_section ">

    <div class="container">
      <div class="info_top ">
        <div class="row ">
          <div class="col-sm-6 col-md-4 col-lg-3">
            <div class="info_detail">
              <a href="index.html">
                <h4>
                  My class online
                </h4>
              </a>
              <p>
This plateform was created in February 2022 by khaled Razouk              </p>
              <div class="social_box">
                <a href="">
                  <i class="fa fa-facebook" aria-hidden="true"></i>
                </a>
                <a href="">
                  <i class="fa fa-twitter" aria-hidden="true"></i>
                </a>
                <a href="">
                  <i class="fa fa-linkedin" aria-hidden="true"></i>
                </a>
                <a href="">
                  <i class="fa fa-instagram" aria-hidden="true"></i>
                </a>
              </div>
            </div>
          </div>
          <div class="col-sm-6 col-md-4 col-lg-3 mx-auto">
            <h4>
              Contact us
            </h4>
            <p>
Join our team to teach with us the students who need help            </p>
            <div class="contact_nav">
              <a href="">
                <i class="fa fa-map-marker" aria-hidden="true"></i>
                <span>
                  Location
                </span>
              </a>
              <a href="">
                <i class="fa fa-phone" aria-hidden="true"></i>
                <span>
                  Call : +33 760228099
                </span>
              </a>
              <a href="">
                <i class="fa fa-envelope" aria-hidden="true"></i>
                <span>
                  Email : khaled_razouk@hotmail.com
                </span>
              </a>
            </div>
          </div>
          
        </div>
      </div>
    </div>
  </section>
  <!-- end info_section -->


  <!-- footer section -->
  <footer class="footer_section">
    <div class="container">
      <p>
        &copy; <span id="displayYear"></span> All Rights Reserved By Khaled Razouk
      </p>
    </div>
  </footer>
  <!-- footer section -->


  <!-- jQery -->
  <script src="js/jquery-3.4.1.min.js"></script>
  <!-- bootstrap js -->
  <script src="js/bootstrap.js"></script>
  <!-- owl carousel -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"></script>
  <!-- custom js -->
  <script src="js/custom.js"></script>
  <!-- Google Map -->
  <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCh39n5U-4IoWpsVGUHWdqB6puEkhRLdmI&callback=myMap"></script>
  <!-- End Google Map -->

</body>

</html>